package db

import (
	"os"

	"github.com/glebarez/sqlite"
	"gorm.io/gorm"

	"log101-blog-services/models"
)

var db *gorm.DB
var err error

func InitDB() {
	dbPath := os.Getenv("DB_PATH")
	db, err = gorm.Open(sqlite.Open(dbPath), &gorm.Config{})
	if err != nil {
		panic("failed to connect database")
	}

	db.AutoMigrate(&models.EmojiReaction{})
}

func GetDB() *gorm.DB {
	return db
}

func SetDB(database *gorm.DB) {
	db = database
}
